//------------------------------------------------------------------------------
// CONVERSATION DETAIL (balloon / comment card / comment form / extra / progress bar)
//------------------------------------------------------------------------------
@import '../../../node_modules/mendeleev.css/src/components/mixins/arrow';

// $component-border-radius: size(config('ej.style.border-radius'));
$component-border-radius: 8px;

@mixin themed($prop, $value: null) {
    @if $value == light {
        #{$prop}: var(--theme-light-color);
    } @else if $value == dark {
        #{$prop}: $color-primary-dark;
    } @else if $value == conecta-trabalhadores {
        #{$prop}: $color-secondary-pure;
        color: $color-low-pure;
    } @else {
        #{$prop}: var(--theme-color);
    }
}

@mixin themed-card($prop, $value: null) {
    @if $value == white {
        #{$prop}: $color-white !important;
        color: $color-low-pure;
    }
    @if $value == light {
        #{$prop}: $color-primary-light;
        color: $color-low-pure;
    } @else if $value == dark {
        #{$prop}: $color-primary-dark;
        color: $color-white;
    } @else {
        #{$prop}: var(--theme-color);
    }
}


.conversation-balloon {
    @extend .center;
    margin-bottom: .75rem;

    label{
        color: $color-low-pure !important;
        font-weight: 600;
        font-size: 16px;
        line-height: 20px;
        text-indent: 0px;
    }
    label::first-letter{
        text-transform: capitalize;
    }
    font-family: "Libre Franklin";

    article {
        @include utilities('pad-y3 pad-x3');
        @include themed('background', conecta-trabalhadores);

        text-align: left;
        border-radius: 0 0 $component-border-radius $component-border-radius;

        span {
            color: $color-low-dark;
            font-family: 'Copperplate Gothic', sans-serif;

            i {
                margin-left: 0;
            }
        }
    }
    h1 {
        @include utilities('sans-serif margin-y3');
        font-family: 'Britanic', sans-serif;
        color: $color-low-pure;
    }
    &__arrow {
        @include create-arrow(down, 4rem, color('brand-lighter'));

        border-left: 4rem solid transparent;
        border-right: 4rem solid transparent;
        border-top: 2.75rem solid;
        margin-left: 2rem;

        bottom: 1px;
        color: $color-secondary-pure;
        position: relative;
    }
    &__social {
        @include utilities('row pad-x4');

        bottom: 1.5rem;
        position: relative;
        i {
            color: color('accent');
        }
    }

    // For forms
    input,
    textarea {
        background: white;
        border-radius: 0.375rem;
        height: 2rem;
        line-height: 2rem;
        max-width: 100%;
        min-width: 9em;
        border: none;
        border-radius: 8px;
        font-size: 16px !important;
    }
    textarea {
        height: 4.5rem;
        font-size: 1.5rem;
        line-height: 2.25rem;
    }
}

.go-back {
    font-family: "Copperplate Gothic";
    font-size: 20px;
    font-weight: 500;
    color: $color-primary-dark;
}

.side-space {
    padding: 0 1.5em;
    label{
        color: $color-low-pure !important;
        text-indent: 0;
    }
    label::first-letter{
        text-transform: capitalize;
    }
    input, textarea{
        border-radius: 8px;
        background: #fff;
    }
}

.comment-card, .comment-form {
    @include utilities('pad-3p margin-x2 measure width-full');

    border-radius: $component-border-radius;
}

.comment-card {
    @include utilities('bold');
    @include themed-card('background', white);
    display: flex;
    flex-direction: column;
    padding: 0 2.25rem 0 2.25rem !important;
    font-family: "Copperplate Gothic" !important;
    font-weight: 500;
    font-size: 20px;

    &__container{

        label, h2{
            text-align: left;
        }
        h2{
            margin: 10px 0.75rem;
        }
    }
    &__author-img {
        @include utilities('margin-r1');

        align-items: center;
        display: inline-flex;
        background-color: color('white');
        border-radius: 50%;
        border: 2px solid color('white');
        justify-content: center;
        vertical-align: middle;
        height: 30px;
        width: auto;

        .fa, .fas, .far {
            margin: 0 !important;
        }
    }
    > article {
        @include utilities('margin-y2 text-4');
        min-height: 7rem;
    }
    > form {
        max-width: 20rem;
        margin: 0 auto;
    }
    &__button {
        @include utilities('col items-center');

        button {
            @include utilities('flex-center');
            background: transparent;
            border: none;
            height: initial;
            margin: 0;
            padding: 0;

            &:hover {
                box-shadow: none;
            }
        }
        i {
            background: rgba(255, 255, 255, 0.75);
            border-radius: 50em;
            border: none;
            display: block;
            font-size: 1.5rem;
            line-height: 3rem;
            padding: 0;
            margin: 0 auto;
            &:hover {
                @include utilities('shadow-2');
            }
        }
        span {
            @include utilities('uppercase text-7');
            @include themed('color', conecta-trabalhadores);
            font-family: "Copperplate Gothic"
        }
    }
    &__message {
        strong {
            @include utilities('uppercase color-accent pad-1 rounded-2');
        }
    }
}

.comment-form {
    @include utilities('center text-black');
    @include themed-card("background", dark);

    label {
        color: $color-white !important;
        font-size: 1rem;
        @include utilities('bold margin-b2');
        text-transform: none;
    }

    em.text-accent{
        color: white;
    }

    textarea {
        background-color: color('white');
        margin: size(1) 0 0 0;
        min-height: 10em;
        width: 100%;
    }
    form {
        margin: 0;
    }
    &__count {
        @include utilities('text-7');

        bottom: 2rem;
        color: color('black', $alpha: 0.5);
        float: right;
        position: relative;
        right: 0.5rem;
    }
    input[type=submit] {

        background-color: $color-primary-pure;
        border-radius: 8px;
        margin-bottom: 0;
    }
    width: auto;
}

.extra-content {
    @include utilities('center');

    margin: 2rem auto;
    width: 75%;

    h1 {
        @include utilities('text-4 uppercase text-brand sans-serif bold');
    }

    .comment-number{
        color: $color-primary-dark;
        font-weight: 800;
    }
}

.progress-bar {
    @include utilities('row flex-center items-center margin-y1');

    margin: 0 auto;
    max-width: 328px;
    border-radius: 2rem;
    margin: 0 0 0 0;


    &__progress {
        @include margin-scale((x: 1));

        display: flex;
        border: 1.5px solid $color-primary-dark;
        border-color: $color-primary-dark !important;
        border-radius: 50rem;
        height: 0.5rem;
        width: 100%;
    }

}

input[name="anonymous_votes_limit"] {
    max-width: 50px;
}
